<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >
<xsl:output method="html" encoding="utf-8" indent="yes" media-type="text/html"
  doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
  doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" />

<xsl:template match="/lords">
<html>
 <head>
  <title><xsl:value-of select="nation/@campaign-number" />: <xsl:value-of select="nation/@name" />, Turn <xsl:value-of select="nation/@turn" /></title>
  <style type="text/css">
body, div, p, blockquote, ol, ul, dl, li, dt, dd, td, th
 {
  font-size: 8pt;
  font-family: serif;
 }

tr { text-align: top; }

body  { color: black; background: #ffffff; }
.title
 {
   font-size: 12pt;
   font-family: Verdana,geneva,arial,helvetica, sans-serif;
   color: black;
   background: #ff9933;
 }
.label
 {
   font-size: 8pt;
   font-family: Verdana,geneva,arial,helvetica, sans-serif;
   color: black;
   background: #ffcc66;
 }
.data
 {
   font-size: 8pt;
   font-family: serif;
   color: black;
   background: #ffffff;
 }
.data-g
 {
   font-size: 8pt;
   font-family: serif;
   color: black;
   background: #f0f0f0;
 }

.data-b
 {
   font-size: 8pt;
   font-family: serif;
   font-weight: bold;
   color: black;
   background: #c0c0c0;
 }
  </style>
 </head>
 <body>
  <table width="100%" border="1px" cellspacing="0" cellpadding="0">
   <tr> 
    <th class="label">Nation Name</th>
    <td class="data">&#160;<xsl:value-of select="nation/@name" /></td>
    <th class="label">Campaign No.</th>
    <td class="data">&#160;<xsl:value-of select="nation/@campaign-number" /></td>
   </tr>
   <tr>
    <th class="label">Player Name</th>
    <td class="data">&#160;<xsl:value-of select="player/@name" /></td>
    <th class="label">Turn Number</th>
    <td class="data">&#160;<xsl:value-of select="nation/@turn" /></td>
   </tr>
   <tr>
    <th class="label">Player Alias</th>
    <td class="data">&#160;<xsl:value-of select="player/@alias" /></td>
    <th class="label">Email</th>
    <td class="data">&#160;<xsl:value-of select="player/@email" /></td>
   </tr>
   <tr>
    <th class="label">Postal Address</th> 
    <td class="data">&#160;<xsl:value-of select="player/address/@street-1" />,<br />
        <xsl:value-of select="player/address/@city" />,
        <xsl:value-of select="player/address/@state" />
        <xsl:value-of select="player/address/@postal" /></td>
    <th class="label">Phone Number</th> 
    <td class="data">&#160;<xsl:value-of select="player/@phone" /></td>
   </tr>
  </table>
  <br /><br />
  <table width="100%" border="1" cellspacing="0" cellpadding="0">
   <tr valign="top">
     <td width="50%"><xsl:apply-templates select="revenue" /></td>
     <td width="50%"><xsl:apply-templates select="invest" /></td>
   </tr>
   <tr>
     <td valign="top"><xsl:apply-templates select="support" /></td>
     <td valign="top"><xsl:apply-templates select="totals" /></td>
   </tr>
  </table>
  <xsl:apply-templates select="builds" />
  <xsl:apply-templates select="trade" />
  <xsl:apply-templates select="projects"/>
  <xsl:apply-templates select="Intel" />
  <xsl:apply-templates select="Assassins"/>
  <xsl:apply-templates select="Religious"/>
  <xsl:apply-templates select="transfer"/>
  <p align="right">Translator: $Revision: 1.2 $</p>
 </body>
</html>
</xsl:template>

<xsl:template match="revenue">
 <table width="100%">
  <tr><th class="title">Revenue</th><th class="label">GP</th><th class="label">NFP</th></tr>
  <xsl:apply-templates select="econ-item" />
 </table>
</xsl:template>

<xsl:template match="invest">
 <table width="100%">
  <tr><th class="title">Investments</th><th class="label">GP</th><th class="label">NFP</th></tr>
  <xsl:apply-templates select="econ-item" />
 </table>
</xsl:template>

<xsl:template match="support">
 <table width="100%">
  <tr><th class="title">Maintenance</th><th class="label">GP</th><th class="label">NFP</th></tr>
  <xsl:apply-templates select="econ-item" />
 </table>
</xsl:template>

<xsl:template match="totals">
 <table width="100%">
  <tr><th class="title">Totals</th><th class="label">GP</th><th class="label">NFP</th></tr>
  <xsl:apply-templates select="econ-item" />
 </table>
</xsl:template>

<xsl:template match="econ-item">
 <xsl:if test="last() != position()">
  <xsl:if test="(position() mod 2) != 0">
   <tr>
    <td class="data">&#160;<xsl:value-of select="@name" /></td>
    <td class="data" align="right">&#160;<xsl:value-of select="format-number(@gp,'###.#')" /></td>
    <td class="data" align="right">&#160;<xsl:value-of select="format-number(@nfp,'###.#')" /></td>
   </tr>
  </xsl:if>
  <xsl:if test="(position() mod 2) != 1">
   <tr>
    <td class="data-g">&#160;<xsl:value-of select="@name" /></td>
    <td class="data-g" align="right">&#160;<xsl:value-of select="format-number(@gp,'###.#')" /></td>
    <td class="data-g" align="right">&#160;<xsl:value-of select="format-number(@nfp,'###.#')" /></td>
   </tr>
  </xsl:if>
 </xsl:if>
 <xsl:if test="last() = position()">
   <tr>
    <td class="data-b">&#160;<xsl:value-of select="@name" /></td>
    <td class="data-b" align="right">&#160;<xsl:value-of select="format-number(@gp,'###.#')" /></td>
    <td class="data-b" align="right">&#160;<xsl:value-of select="format-number(@nfp,'###.#')" /></td>
   </tr>
  </xsl:if>
</xsl:template>

<xsl:template match="builds">
  <br />
  <table width="100%" border="1px" cellspacing="0" cellpadding="0">
   <tr><th colspan="7" class="title">Builds</th></tr>
   <tr>
     <th class="label">Item</th>
     <th class="label">Army No.</th>
     <th class="label">Location</th>
     <th class="label">Qty</th>
     <th class="label">Yard Cost</th>
     <th class="label">GP</th>
     <th class="label">NFP</th>
   </tr>
   <xsl:apply-templates select="build-item" />
  </table>     
</xsl:template>

<xsl:template match="build-item">
 <xsl:if test="last() != position()">
  <xsl:if test="(position() mod 2) != 0">
    <tr>
     <td class="data">&#160;<xsl:value-of select="@name" /></td>
     <td class="data" align="center">&#160;<xsl:value-of select="@army-number" /></td>
     <td class="data">&#160;<xsl:value-of select="@location" /></td>
     <td class="data" align="center">&#160;<xsl:value-of select="@quantity" /></td>
     <td class="data" align="center">&#160;<xsl:value-of select="@yard-cost" /></td>
     <td class="data" align="right">&#160;<xsl:value-of select="@gp" /></td>
     <td class="data" align="right">&#160;<xsl:value-of select="@nfp" /></td>
    </tr>
  </xsl:if>
  <xsl:if test="(position() mod 2) != 1">
    <tr>
     <td class="data-g">&#160;<xsl:value-of select="@name" /></td>
     <td class="data-g" align="center">&#160;<xsl:value-of select="@army-number" /></td>
     <td class="data-g">&#160;<xsl:value-of select="@location" /></td>
     <td class="data-g" align="center">&#160;<xsl:value-of select="@quantity" /></td>
     <td class="data-g" align="center">&#160;<xsl:value-of select="@yard-cost" /></td>
     <td class="data-g" align="right">&#160;<xsl:value-of select="@gp" /></td>
     <td class="data-g" align="right">&#160;<xsl:value-of select="@nfp" /></td>
    </tr>
  </xsl:if>
 </xsl:if>
 <xsl:if test="last() = position()">
    <tr>
     <td class="data-b">&#160;<xsl:value-of select="@name" /></td>
     <td class="data-b" align="center">&#160;<xsl:value-of select="@army-number" /></td>
     <td class="data-b">&#160;<xsl:value-of select="@location" /></td>
     <td class="data-b" align="center">&#160;<xsl:value-of select="@quantity" /></td>
     <td class="data-b" align="center">&#160;<xsl:value-of select="@yard-cost" /></td>
     <td class="data-b" align="right">&#160;<xsl:value-of select="@gp" /></td>
     <td class="data-b" align="right">&#160;<xsl:value-of select="@nfp" /></td>
    </tr>
 </xsl:if>
</xsl:template>

<xsl:template match="trade">
  <br />
  <table width="100%" border="1px" cellspacing="0" cellpadding="0">
   <tr><th colspan="9" class="title">Trade Orders</th></tr>
   <tr>
    <th class="label">Route</th>
    <th class="label">Port</th>
    <th class="label">eMsp</th>
    <th class="label">Dist</th>
    <th class="label">Partner</th>
    <th class="label">Type</th>
    <th class="label">Status</th>
    <th class="label">Free</th>
    <th class="label">Change</th>
   </tr>
   <xsl:apply-templates select="trade-item" />
  </table> 
</xsl:template>

<xsl:template match="trade-item">
 <xsl:if test="(position() mod 2) != 0">
    <tr>
     <td class="data" align="center">&#160;<xsl:value-of select="@route-number" /></td>
     <td class="data">&#160;<xsl:value-of select="@port" /></td>
     <td class="data" align="center">&#160;<xsl:value-of select="@emsp" /></td>
     <td class="data" align="center">&#160;<xsl:value-of select="@distance" /></td>
     <td class="data">&#160;<xsl:value-of select="@trade-partner" /></td>
     <td class="data" align="center">&#160;<xsl:value-of select="@type" /></td>
     <td class="data">&#160;<xsl:value-of select="@status" /></td>
     <td class="data" align="center">&#160;<xsl:value-of select="@free-cap" /></td>
     <td class="data" align="center">&#160;<xsl:value-of select="@msp-change" /></td>
    </tr>
 </xsl:if>
 <xsl:if test="(position() mod 2) != 1">
    <tr>
     <td class="data-g" align="center">&#160;<xsl:value-of select="@route-number" /></td>
     <td class="data-g">&#160;<xsl:value-of select="@port" /></td>
     <td class="data-g" align="center">&#160;<xsl:value-of select="@emsp" /></td>
     <td class="data-g" align="center">&#160;<xsl:value-of select="@distance" /></td>
     <td class="data-g">&#160;<xsl:value-of select="@trade-partner" /></td>
     <td class="data-g" align="center">&#160;<xsl:value-of select="@type" /></td>
     <td class="data-g">&#160;<xsl:value-of select="@status" /></td>
     <td class="data-g" align="center">&#160;<xsl:value-of select="@free-cap" /></td>
     <td class="data-g" align="center">&#160;<xsl:value-of select="@msp-change" /></td>
    </tr>
 </xsl:if>
</xsl:template>

<xsl:template match="Intel">
  <br />
  <table width="100%" border="1px" cellspacing="0" cellpadding="0">
   <tr><th colspan="9" class="title">Intel Activities</th></tr>
   <tr>
    <th class="label">Op Cope</th>
    <th class="label">Bonus Points</th>
    <th class="label">GP Added</th>
    <th class="label">Target/Location</th>
    <th class="label">Notes</th>
   </tr>
   <xsl:apply-templates select="ops-item" />
  </table> 
</xsl:template>

<xsl:template match="Assassins">
  <br />
  <table width="100%" border="1px" cellspacing="0" cellpadding="0">
   <tr><th colspan="9" class="title">Assassination Activities</th></tr>
   <tr>
    <th class="label">Op Cope</th>
    <th class="label">Bonus Points</th>
    <th class="label">GP Added</th>
    <th class="label">Target/Location</th>
    <th class="label">Notes</th>
   </tr>
   <xsl:apply-templates select="ops-item" />
  </table> 
</xsl:template>

<xsl:template match="Religious">
  <br />
  <table width="100%" border="1px" cellspacing="0" cellpadding="0">
   <tr><th colspan="9" class="title">Religious Activities</th></tr>
   <tr>
    <th class="label">Op Cope</th>
    <th class="label">Bonus Points</th>
    <th class="label">GP Added</th>
    <th class="label">Target/Location</th>
    <th class="label">Notes</th>
   </tr>
   <xsl:apply-templates select="ops-item" />
  </table> 
</xsl:template>

<xsl:template match="ops-item">
 <xsl:if test="last() != position()">
  <xsl:if test="(position() mod 2) != 0">
    <tr>
     <td class="data">&#160;<xsl:value-of select="@ops-code" /></td>
     <td class="data" align="center">&#160;<xsl:value-of select="@bonus" /></td>
     <td class="data" align="center">&#160;<xsl:value-of select="@gp-added" /></td>
     <td class="data">&#160;<xsl:value-of select="@target" /></td>
     <td class="data">&#160;<xsl:value-of select="@notes" /></td>
    </tr>
 </xsl:if>
 <xsl:if test="(position() mod 2) != 1">
    <tr>
     <td class="data-g">&#160;<xsl:value-of select="@ops-code" /></td>
     <td class="data-g" align="center">&#160;<xsl:value-of select="@bonus" /></td>
     <td class="data-g" align="center">&#160;<xsl:value-of select="@gp-added" /></td>
     <td class="data-g">&#160;<xsl:value-of select="@target" /></td>
     <td class="data-g">&#160;<xsl:value-of select="@notes" /></td>
    </tr>
  </xsl:if>
 </xsl:if>
 <xsl:if test="last() = position()">
    <tr>
     <td class="data-b">&#160;<xsl:value-of select="@ops-code" /></td>
     <td class="data-b" align="center">&#160;<xsl:value-of select="@bonus" /></td>
     <td class="data-b" align="center">&#160;<xsl:value-of select="@gp-added" /></td>
     <td class="data-b">&#160;<xsl:value-of select="@target" /></td>
     <td class="data-b">&#160;<xsl:value-of select="@notes" /></td>
    </tr>
 </xsl:if>
</xsl:template>

<xsl:template match="projects">
  <br />
  <table width="100%" border="1px" cellspacing="0" cellpadding="0">
   <tr><th colspan="10" class="title">Projects</th></tr>
   <tr>
    <th class="label">ID</th>
    <th class="label">Description</th>
    <th class="label">Advances</th>
    <th class="label">Level</th>
    <th class="label">Location</th>
    <th class="label">GP</th>
    <th class="label">NFP</th>
    <th class="label">Time</th>
    <th class="label">Yard</th>
    <th class="label">Status</th>
   </tr>
   <xsl:apply-templates select="project-item" />
 </table>         
</xsl:template>

<xsl:template match="project-item">
 <xsl:if test="(position() mod 2) != 0">
  <tr>
   <td class="data" align="right">&#160;<xsl:value-of select="@id" /></td>
   <td class="data">&#160;<xsl:value-of select="@description" /></td>
   <td class="data" align="center">&#160;<xsl:value-of select="@advances" /></td>
   <td class="data" align="center">&#160;<xsl:value-of select="@level" /></td>
   <td class="data">&#160;<xsl:value-of select="@location" /></td>
   <td class="data" align="center">&#160;(<xsl:value-of select="@gp-cost" /> / <xsl:value-of select="@gp-paid" />)</td>
   <td class="data" align="center">&#160;(<xsl:value-of select="@nfp-cost" /> / <xsl:value-of select="@nfp-paid" />)</td>
   <td class="data" align="center">&#160;(<xsl:value-of select="@time-cost" /> / <xsl:value-of select="@time-paid" />)</td>
   <td class="data" align="center">&#160;(<xsl:value-of select="@yard-cost" /> / <xsl:value-of select="@yard-paid" />)</td>
   <td class="data">&#160;<xsl:value-of select="@status" /></td>
  </tr>
 </xsl:if>
 <xsl:if test="(position() mod 2) != 1">
  <tr>
   <td class="data-g" align="right">&#160;<xsl:value-of select="@id" /></td>
   <td class="data-g">&#160;<xsl:value-of select="@description" /></td>
   <td class="data-g" align="center">&#160;<xsl:value-of select="@advances" /></td>
   <td class="data-g" align="center">&#160;<xsl:value-of select="@level" /></td>
   <td class="data-g">&#160;<xsl:value-of select="@location" /></td>
   <td class="data-g" align="center">&#160;(<xsl:value-of select="@gp-cost" /> / <xsl:value-of select="@gp-paid" />)</td>
   <td class="data-g" align="center">&#160;(<xsl:value-of select="@nfp-cost" /> / <xsl:value-of select="@nfp-paid" />)</td>
   <td class="data-g" align="center">&#160;(<xsl:value-of select="@time-cost" /> / <xsl:value-of select="@time-paid" />)</td>
   <td class="data-g" align="center">&#160;(<xsl:value-of select="@yard-cost" /> / <xsl:value-of select="@yard-paid" />)</td>
   <td class="data-g">&#160;<xsl:value-of select="@status" /></td>
  </tr>
 </xsl:if>
</xsl:template> 

<xsl:template match="transfer">
 <br />
 <table width="100%" border="1px" cellspacing="0" cellpadding="0">
  <tr><th class="title">Transfer</th><th class="label">Amount</th></tr>
  <xsl:apply-templates select="transfer-item" />
 </table>
</xsl:template>

<xsl:template match="transfer-item">
 <xsl:if test="(position() mod 2) != 0">
   <tr>
    <td class="data">&#160;<xsl:value-of select="@name" /></td>
    <td class="data">&#160;<xsl:value-of select="@quantity" /></td>
   </tr>
 </xsl:if>
 <xsl:if test="(position() mod 2) != 1">
   <tr>
    <td class="data-g">&#160;<xsl:value-of select="@name" /></td>
    <td class="data-g">&#160;<xsl:value-of select="@quantity" /></td>
   </tr>
 </xsl:if>
</xsl:template>

</xsl:stylesheet>
